package Sietima::Policy;
use 5.024;
use strict;
use warnings;
use feature ':5.24';
use experimental 'signatures';

# VERSION
# ABSTRACT: pragma for Sietima modules

=head1 SYNOPSIS

  use 5.024;
  use strict;
  use warnings;
  use feature ':5.24';
  use experimental 'signatures';

or just:

  use Sietima::Policy;

=head1 DESCRIPTION

This module imports the pragmas shown in the L</synopsis>. All Sietima
modules use it.

=cut

sub import {
    # These affect the currently compiling scope,
    # so no need for import::into
    strict->import;
    warnings->import;
    experimental->import('signatures');
    feature->import(':5.24');
    return;
}

1;
