package Sietima::Role::SubscriberOnly::Drop;
use Moo::Role;
use Sietima::Policy;
use namespace::clean;

# VERSION
# ABSTRACT: drop messages from non-subscribers

=head1 SYNOPSIS

  my $sietima = Sietima->with_traits('SubscribersOnly::Drop')->new({
    %args,
  });

=head1 DESCRIPTION

A L<< C<Sietima> >> list with this role applied will silently discard
every incoming email that does not come from one of the list's
subscribers.

This is a "sub-role" of L<<
C<SubscribersOnly>|Sietima::Role::SubscriberOnly >>.

=cut

with 'Sietima::Role::SubscriberOnly';

=method C<munge_mail_from_non_subscriber>

Does nothing, returns an empty list.

=cut

sub munge_mail_from_non_subscriber { }

1;
