package Sietima::Runner;
use Moo;
use Sietima::Policy;
use namespace::clean;

# VERSION
# ABSTRACT: C<App::Spec::Run> for Sietima

=head1 DESCRIPTION

You should never need to care about this class, it's used internally
by L<< C<Sietima::CmdLine> >>.

This is a subclass of L<< C<App::Spec::Run> >> that uses directly
itself to execute the built-in commands, instead of delegating to the
C<cmd> object (in our case, a C<Sietima> instance) which would
delegate back via L<< C<App::Spec::Run::Cmd> >>.

=for Pod::Coverage run_op

=cut

extends 'App::Spec::Run';

sub run_op($self,$op,$args=[]) {
    if ($op =~ /^cmd_/) {
        $self->$op($args);
    }
    else {
        $self->cmd->$op($self,$args);
    }
}

1;
